Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IAM (Eclipse Integration for Apache Maven) » eclipse 3.5 iam 0.10.0 No providers found matching selection: default
eclipse 3.5 iam 0.10.0 No providers found matching selection: default [message #21889] Thu, 16 July 2009 21:55 Go to next message
Brian Brooks is currently offline Brian BrooksFriend
Messages: 11
Registered: July 2009
Junior Member
Has anyone encountered the error shown below?

No providers found matching selection: default

Googling the error turned up http://jira.codehaus.org/browse/MGROOVY-170

Any ideas?

Brian
Re: eclipse 3.5 iam 0.10.0 No providers found matching selection: default [message #21934 is a reply to message #21889] Thu, 16 July 2009 22:24 Go to previous messageGo to next message
Brian Brooks is currently offline Brian BrooksFriend
Messages: 11
Registered: July 2009
Junior Member
The problem seems to be some interaction with the <build> element
contained in the parent pom.xml. I deleted this <build> element and the
problem went away.

<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<configuration>
<tagBase>http://blanked-for-public-post</tagBase>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jar-plugin</artifactId>
<version>2.2-APCS</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo.groovy</groupId>
<artifactId>groovy-maven-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>generateStubs</goal>
<goal>compile</goal>
<goal>generateTestStubs</goal>
<goal>testCompile</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>

Brian
Re: eclipse 3.5 iam 0.10.0 No providers found matching selection: default [message #21978 is a reply to message #21934] Mon, 20 July 2009 18:36 Go to previous message
Abel Mui is currently offline Abel MuiFriend
Messages: 247
Registered: July 2009
Senior Member
By reading http://jira.codehaus.org/browse/MGROOVY-170, it looks like an
incompatibility between the groovy plugin and the
plexus-container-default bundled with the maven embedder in IAM.

As the work on the new maven embedder stabilizes (as part of maven 3.0),
we might get a fix for this by bundling a new embedder.

Brian Brooks wrote:
> The problem seems to be some interaction with the <build> element
> contained in the parent pom.xml. I deleted this <build> element and the
> problem went away.
>
> <build>
> <plugins>
> <plugin>
> <groupId>org.apache.maven.plugins</groupId>
> <artifactId>maven-release-plugin</artifactId>
> <configuration>
> <tagBase>http://blanked-for-public-post</tagBase>
> </configuration>
> </plugin>
> <plugin>
> <groupId>org.apache.maven.plugins</groupId>
> <artifactId>maven-jar-plugin</artifactId>
> <version>2.2-APCS</version>
> </plugin>
> <plugin>
> <groupId>org.codehaus.mojo.groovy</groupId>
> <artifactId>groovy-maven-plugin</artifactId>
> <executions>
> <execution>
> <goals>
> <goal>generateStubs</goal>
> <goal>compile</goal>
> <goal>generateTestStubs</goal>
> <goal>testCompile</goal>
> </goals>
> </execution>
> </executions>
> </plugin>
> </plugins>
> </build>
> Brian
>
Re: eclipse 3.5 iam 0.10.0 No providers found matching selection: default [message #570267 is a reply to message #21889] Thu, 16 July 2009 22:24 Go to previous message
Brian Brooks is currently offline Brian BrooksFriend
Messages: 11
Registered: July 2009
Junior Member
The problem seems to be some interaction with the <build> element
contained in the parent pom.xml. I deleted this <build> element and the
problem went away.

<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<configuration>
<tagBase>http://blanked-for-public-post</tagBase>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jar-plugin</artifactId>
<version>2.2-APCS</version>
</plugin>
<plugin>
<groupId>org.codehaus.mojo.groovy</groupId>
<artifactId>groovy-maven-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>generateStubs</goal>
<goal>compile</goal>
<goal>generateTestStubs</goal>
<goal>testCompile</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>

Brian
Re: eclipse 3.5 iam 0.10.0 No providers found matching selection: default [message #570281 is a reply to message #21934] Mon, 20 July 2009 18:36 Go to previous message
Abel Mui is currently offline Abel MuiFriend
Messages: 247
Registered: July 2009
Senior Member
By reading http://jira.codehaus.org/browse/MGROOVY-170, it looks like an
incompatibility between the groovy plugin and the
plexus-container-default bundled with the maven embedder in IAM.

As the work on the new maven embedder stabilizes (as part of maven 3.0),
we might get a fix for this by bundling a new embedder.

Brian Brooks wrote:
> The problem seems to be some interaction with the <build> element
> contained in the parent pom.xml. I deleted this <build> element and the
> problem went away.
>
> <build>
> <plugins>
> <plugin>
> <groupId>org.apache.maven.plugins</groupId>
> <artifactId>maven-release-plugin</artifactId>
> <configuration>
> <tagBase>http://blanked-for-public-post</tagBase>
> </configuration>
> </plugin>
> <plugin>
> <groupId>org.apache.maven.plugins</groupId>
> <artifactId>maven-jar-plugin</artifactId>
> <version>2.2-APCS</version>
> </plugin>
> <plugin>
> <groupId>org.codehaus.mojo.groovy</groupId>
> <artifactId>groovy-maven-plugin</artifactId>
> <executions>
> <execution>
> <goals>
> <goal>generateStubs</goal>
> <goal>compile</goal>
> <goal>generateTestStubs</goal>
> <goal>testCompile</goal>
> </goals>
> </execution>
> </executions>
> </plugin>
> </plugins>
> </build>
> Brian
>
Previous Topic:eclipse 3.5 iam 0.10.0 No providers found matching selection: default
Next Topic:IAM Installed but not active on galileo?
Goto Forum:
  


Current Time: Tue Nov 20 07:20:35 GMT 2018

Powered by FUDForum. Page generated in 0.23948 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top